Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-1102

Upgrade to the latest ActiveMQ Jars

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 3.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      3
    • Sprint:
      PuppetDB 2015-01-28, PuppetDB 2015-04-08

      Description

      So right now we are running AMQ 5.7.0, we need to upgrade to the latest version (5.11 or 5.10 I can't recall).

      I believe since we last upgraded, the layout of the jars have differed, so you won't just be able to bump the revision on its own.

      Also - this change will change the JMX entries for AMQ, which affects the mbeans API. Our acceptance tests use this, so we'll need to update them also.

        Attachments

          Activity

            jsd-sla-details-panel

              People

              • Assignee:
                rob.browning Rob Browning
                Reporter:
                ken Ken Barber
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: